async function loadOrderHistory() {
    try {
        const response = await fetch('/api/order-history', {
            headers: getAuthHeaders()
        });
        
        if (response.status === 401) {
            window.location.href = '/login.html';
            return;
        }
        
        const orders = await response.json();
        
        const container = document.getElementById('order-history');
        container.innerHTML = orders.map(order => `
            <div class="card dark-card mb-3">
                <div class="card-body">
                    <h5>Zamówienie #${order.id}</h5>
                    <p>Data: ${new Date(order.data_zamowienia).toLocaleDateString()}</p>
                    <p>Status: ${order.status}</p>
                    <p>Suma: ${order.suma_totalna} PLN</p>
                </div>
            </div>
        `).join('');
        
    } catch (error) {
        console.error('Error:', error);
    }
}

document.addEventListener('DOMContentLoaded', loadOrderHistory);
